<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Wilayah\KabupatenKota;
use App\Models\Wilayah\Provinsi;

class KabupatenKotaController extends Controller
{
    public function index()
    {
        return view('master.kabupatenkota.index');
    }

    public function getKabupatenKota(Request $request)
    {
        $kabupatenKotaQuery = KabupatenKota::with(['provinsi']);

        if ($request->has('provinsi_id') && !empty($request->provinsi_id)) {
            $kabupatenKotaQuery->where('provinsi_id', $request->provinsi_id);
        }

        $kabupatenKota = $kabupatenKotaQuery->get()->map(function($item) {
            return [
                'id' => $item->id,
                'kode_kabupaten_kota' => $item->kode,
                'nama_kabupaten_kota' => $item->nama,
                'nama_provinsi' => $item->provinsi->nama ?? '-', 
            ];
        });

        return response()->json(['data' => $kabupatenKota]);
    }
}
